> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Calls



## OpenAPI

````yaml get /calls
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.callhq.ai/api
security:
  - apiKeyAuth: []
paths:
  /calls:
    get:
      tags:
        - Calls
      summary: List Calls
      parameters:
        - in: query
          name: id
          schema:
            type: string
          description: Filter by specific call ID.
        - in: query
          name: assistantId
          required: true
          schema:
            type: string
          description: Filter by assistant ID.
        - in: query
          name: phoneNumberId
          schema:
            type: string
          description: Filter by phone number ID.
        - in: query
          name: limit
          schema:
            type: integer
          description: Maximum number of call records to return.
        - in: query
          name: createdAtGe
          schema:
            type: string
            format: date-time
          description: Filter for calls created on or after this date/time.
        - in: query
          name: createdAtLe
          schema:
            type: string
            format: date-time
          description: Filter for calls created on or before this date/time.
      responses:
        '200':
          description: List of call records retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  calls:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        assistantId:
                          type: string
                        phoneNumberId:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
        '500':
          description: Error fetching call records.
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````